﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes"/>

    <xsl:template match="Card">
      <html>
        <head>
          <!--
          <script src="http://code.jquery.com/jquery-1.8.3.min.js">
          </script>
-->
          <style type="text/css">

            @media print {
            input {
            display:none;
            }
            }

			input {
			margin-top:2mm;
			margin-left:111mm;
			margin-bottom:2mm;
			text-decoration:none;			
			font-weight:bold;
			}

            h4 {
			text-decoration:underline;
			line-height:0mm;
			margin-top:5mm;
			margin-left:1mm;
			margin-bottom:2mm;
			}

            p.small {
			line-height:0mm;
			margin-top:5mm;
			margin-left:1mm;
			margin-bottom:2mm;
			text-decoration:underline;
			font-weight:bold;
			}

			p {text-align: left}

            table {
            border-collapse:colapse;
            width:190mm;
            table-layout: fixed;
            }
					
            table.auto {
            table-layout: auto;
            }

            th, td {
            text-align: left;
            min-height:24px;
            }

            td {
            border: 1px solid black;
            }

            th.CardID{ width: 38mm; }
            th.ChipSerialNumber{ width: 41mm; }
			th.BookletIssuerCode{ width: 38mm; }
            th.DateOfIssue{ width: 23mm; }
            th.DateOfExpiry{ width: 23mm; }
            th.PrintLanguage{ width: 16mm; }

            th.Jmbg { width: 32mm;}
            th.GivenName { width: 44mm; }
            th.ParentGivenName { width: 44mm; }
            th.FamilyName { width: 56mm; }
            th.Gender { width: 10mm;}
            th.FamilyNamelat { width: 65mm; }

            th.Street{ width: 90mm; }
            th.Municipality{ width: 90mm; }
            th.Place{ width: 90mm; }
            th.PostNumber{ width: 25mm; }
            th.Number{ width: 12mm; }
            th.StreetCode{ width: 25mm; }
            th.Entrance{ width: 12mm; }
            th.Apartment{ width: 12mm; }

            th.Date { width: 33mm;}
            th.IsPermanent{ width: 15mm; }
			th.ParticipationFreeReason{ width: 100mm}

            th.InsurantNumber{ width: 28mm; }
            th.InsuranceBasisRZZO{ width: 110mm; }
            th.InsuranceBasisRZZOCode{ width: 45mm; }

            th.Country{ width: 110mm; }
            th.CountryCode{ width: 45mm; }

            th.TaxpayerResidence{ width: 75mm; }
            th.TaxpayerActivityCode{ width: 18mm; }
            th.RZZORegistrationNumber{ width: 30mm; }

            th.InsurerID{ width: 37mm; }
            th.InsurerName{ width: 68mm; }
            th.InsurerBranch{ width: 40mm; }
            th.InsurerOffice{ width: 40mm; }

            th.CarrierInsurantNumber{ width: 40mm; }
			th.CarrierRelationship{ width: 40mm; }
			th.CarrierFamilyMember{ width: 32mm; }


          </style>

          <title>
            ZK<xsl:value-of select="Doc/CardID" />
          </title>


        </head>


        <body>
          <p class="small">ПОДАЦИ О ДОКУМЕНТУ  
			<input align="left" type="button" value="Штампа" onclick="window.print()"></input>
		  </p>
          
          <table>
            <tr>
              <th class="CardID">Број документа</th>
              <th class="ChipSerialNumber">Серијски бр. чипа</th>
			  <th class="BookletIssuerCode">Код издавача ЗК</th>
              <th class="DateOfIssue">Важи од</th>
              <th class="DateOfExpiry">Важи до</th>
              <th class="PrintLanguage">Јез. шт.</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Doc/CardID" />
              </td>
              <td>
                <xsl:value-of select="Doc/ChipSerialNumber" />
              </td>
              <td>
                <xsl:value-of select="Admin/BookletIssuerCode" />
              </td>
              <td>
                <xsl:value-of select="Doc/DateOfIssue" />
              </td>
              <td>
                <xsl:value-of select="Doc/DateOfExpiry" />
              </td>
              <td>
                <xsl:value-of select="Doc/PrintLanguage" />
              </td>
            </tr>
          </table>

          <h4>ПОДАЦИ О ОСИГУРАНИКУ</h4>

          <table>
            <tr>
              <th class="Jmbg">ЈМБГ</th>
              <th class="GivenName">Име</th>
              <th class="ParentGivenName">Име родитеља</th>
              <th >Презиме</th>
              <th class="Gender">Пол</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Admin/IDNumber" />
              </td>
              <td>
                <xsl:value-of select="PersoFx/GivenName" />
              </td>
              <td>
                <xsl:variable name="parentName" select="Admin/ParentName" />
                <xsl:choose>
                  <xsl:when test="string($parentName)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/ParentName" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:value-of select="PersoFx/FamilyName" />
              </td>
              <td>
                <xsl:variable name="gender" select="Admin/Gender" />
                <xsl:choose>
                  <xsl:when test="string($gender)='0'">
                    Н
                  </xsl:when>
                  <xsl:when test="string($gender)='1'">
                    M
                  </xsl:when>
                  <xsl:when test="string($gender)='2'">
                    Ж
                  </xsl:when>
                  <xsl:otherwise>
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>
          
          <table>
            <tr>
              <th class ="Jmbg">Датум рођ.</th>
              <th class ="GivenName">Име лат.</th>
              <th class ="GivenName">Име родитеља лат.</th>
              <th class ="FamilyNameLat">Презиме лат.</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="PersoFx/DateOfBirth" />
              </td>
              <td>
                <xsl:value-of select="PersoFx/GivenNameLatin" />
              </td>
              <td>
                <xsl:variable name="parentNameLatin" select="Admin/ParentNameLatin" />
                <xsl:choose>
                  <xsl:when test="string($parentNameLatin)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/ParentNameLatin" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:value-of select="PersoFx/FamilyNameLatin" />
              </td>
            </tr>
          </table>

          <h4>Adresa</h4>

          <table>
            <tr>
              <th class="Municipality">Општина</th>
              <th class="Place">Место</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Admin/Municipality" />
              </td>
              <td>
                <xsl:value-of select="Admin/Place" />
              </td>
            </tr>
          </table>

          <table>
            <tr>
              <th class="Street">Улица</th>
              <th class="PostNumber">Пошт. бр.</th>
              <th class="Number">Број</th>
              <th class="StreetCode">Код улице</th>
              <th class="Entrance">Улаз</th>
              <th class="Apartment">Стан</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Admin/Street" />
              </td>
              <td>
                <xsl:variable name="postNumber" select="Admin/PostNumber" />
                <xsl:choose>
                  <xsl:when test="string($postNumber)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/PostNumber" />
                  </xsl:otherwise>
                </xsl:choose>
                <xsl:value-of select="Admin/PostNumber" />
              </td>
              <td>
                <xsl:value-of select="Admin/Number" />
              </td>
              <td>
                <xsl:value-of select="Admin/StreetCode" />
              </td>
              <td>
                <xsl:variable name="entrance" select="Admin/Entrance" />
                <xsl:choose>
                  <xsl:when test="string($entrance)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/Entrance" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="apartment" select="Admin/Apartment" />
                <xsl:choose>
                  <xsl:when test="string($apartment)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/Apartment" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>

          <h4>ПОДАЦИ О ОСИГУРАЊУ</h4>

          <table>
            <tr>
              <th class="Date">Валидно од</th>
              <th class="Date">Валидно до</th>
              <th class="IsPermanent">Трајно</th>
              <th class="ParticipationFreeReason">Бесплатна партиципација због</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="PersoVx/DateOfIssue" />
              </td>
              <td>
                <xsl:variable name="dateOfExpiry" select="PersoVx/DateOfExpiry" />
                <xsl:choose>
                  <xsl:when test="string($dateOfExpiry)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="PersoVx/DateOfExpiry" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="isPermanent" select="PersoVx/IsPermanent" />
                <xsl:choose>
                  <xsl:when test="string($isPermanent)='false'">
                    Не
                  </xsl:when>
                  <xsl:when test="string($isPermanent)='true'">
                    Да
                  </xsl:when>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="participationFreeReason" select="Admin/ParticipationFreeReason" />
                <xsl:choose>
                  <xsl:when test="string($participationFreeReason)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/ParticipationFreeReason" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>

          <h4>Осигураник</h4>

          <table>
            <tr>
              <th class="InsurantNumber">ЛБО</th>
              <th class="InsuranceBasisRZZO">Основ осигурања РФЗО</th>
              <th class="InsuranceBasisRZZOCode">Осн. осиг. РФЗО код</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="PersoFx/InsurantNumber" />
              </td>
              <td>
                <xsl:value-of select="Admin/InsuranceBasisRZZO" />
              </td>
              <td>
                <xsl:value-of select="Admin/InsuranceBasisRZZOCode" />
              </td>
            </tr>
          </table>
          
          <table>
            <tr>
              <th class="InsurantNumber">Осигуран од</th>
              <th class="Country">Држава</th>
              <th class="CountryCode">Код државе</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Admin/InsuredFrom" />
              </td>
              <td>
                <xsl:value-of select="Admin/Country" />
              </td>
              <td>
                <xsl:value-of select="Admin/CountryCode" />
              </td>
            </tr>
          </table>

          <h4>Порески обвезник</h4>

          <table>
            <tr>
              <th>Име</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Admin/TaxpayerName" />
              </td>
            </tr>
          </table>

          <table>
            <tr>
              <th class="TaxpayerResidence">Седиште</th>
              <th class="InsurantNumber">ПИБ</th>
              <th class="TaxpayerActivityCode">Ш. дел.</th>
              <th class="RZZORegistrationNumber">Р. бр. у РФЗО</th>
              <th class="Jmbg">ЈМБГ</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Admin/TaxpayerResidence" />
              </td>
              <td>
                <xsl:variable name="taxpayerNumber" select="Admin/TaxpayerNumber" />
                <xsl:choose>
                  <xsl:when test="string($taxpayerNumber)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/TaxpayerNumber" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="TaxpayerActivityCode" select="Admin/TaxpayerActivityCode" />
                <xsl:choose>
                  <xsl:when test="string($TaxpayerActivityCode)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/TaxpayerActivityCode" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:value-of select="Admin/RZZORegistrationNumber" />
              </td>
              <td>
                <xsl:variable name="TaxpayerIDNumber" select="Admin/TaxpayerIDNumber" />
                <xsl:choose>
                  <xsl:when test="string($TaxpayerIDNumber)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/TaxpayerIDNumber" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>

          <h4>Издавач</h4>

          <table>
            <tr>
              <th class="InsurerID">ИД издавача</th>
              <th class="InsurerName">Име издавача</th>
              <th class="InsurerBranch">Филијала</th>
              <th class="InsurerOffice">Испостава</th>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="Doc/InsurerID" />
              </td>
              <td>
                <xsl:value-of select="Doc/InsurerName" />
              </td>
              <td>
                <xsl:value-of select="Admin/InsurerBranch" />
              </td>
              <td>
                <xsl:variable name="insurerOffice" select="Admin/InsurerOffice" />
                <xsl:choose>
                  <xsl:when test="string($insurerOffice)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/InsurerOffice" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>

          <h4>Носилац осигурања</h4>

          <table>
            <tr>
              <th class="GivenName">Име носиоца</th>
              <th class="FamilyName">Презиме носиоца</th>
              <th class="CarrierInsurantNumber">ЛБО</th>
              <th class="Jmbg">ЈМБГ</th>
            </tr>
            <tr>
              <td>
                <xsl:variable name="carrierGivenName" select="Admin/CarrierGivenName" />
                <xsl:choose>
                  <xsl:when test="string($carrierGivenName)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierGivenName" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="carrierFamilyName" select="Admin/CarrierFamilyName" />
                <xsl:choose>
                  <xsl:when test="string($carrierFamilyName)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierFamilyName" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="carrierInsurantNumber" select="Admin/CarrierInsurantNumber" />
                <xsl:choose>
                  <xsl:when test="string($carrierInsurantNumber)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierInsurantNumber" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="carrierIDNumber" select="Admin/CarrierIDNumber" />
                <xsl:choose>
                  <xsl:when test="string($carrierIDNumber)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierIDNumber" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>

          <table>
            <tr>
              <th class="GivenName">Име латинично</th>
              <th class="FamilyName">Презиме латинично</th>
              <th class="CarrierRelationship">Срод. са носиоцем</th>
              <th class="CarrierFamilyMember">Чл. породице</th>
            </tr>
            <tr>
              <td>
                <xsl:variable name="carrierGivenNameLatin" select="Admin/CarrierGivenNameLatin" />
                <xsl:choose>
                  <xsl:when test="string($carrierGivenNameLatin)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierGivenNameLatin" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="carrierFamilyNameLatin" select="Admin/CarrierFamilyNameLatin" />
                <xsl:choose>
                  <xsl:when test="string($carrierFamilyNameLatin)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierFamilyNameLatin" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="carrierRelationship" select="Admin/CarrierRelationship" />
                <xsl:choose>
                  <xsl:when test="string($carrierRelationship)=''">
                    -
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="Admin/CarrierRelationship" />
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:variable name="carrierFamilyMember" select="Admin/CarrierFamilyMember" />
                <xsl:choose>
                  <xsl:when test="string($carrierFamilyMember)=''">
                    -
                  </xsl:when>
                  <xsl:when test="string($carrierFamilyMember)='1'">
                    Јесте члан
                  </xsl:when>
                  <xsl:otherwise>
                    Није члан
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>

        </body>
      </html>
    </xsl:template>
</xsl:stylesheet>
